﻿using Refund_CSharp.Util;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Refund_CSharp.BusinessLogic
{
    public class ApplicationProperties
    {

        public static String USER = "";
        public static String PASSWORD = "";
        public static Boolean PRODUCTIVE;
        public static String UTC_OFFSET = "";

        public static void InitProperties()
        {
            try
            {
                USER = ConfigurationManager.AppSettings["MERCHANT_USERNAME"];
                PASSWORD = ConfigurationManager.AppSettings["MERCHANT_PASSWORD"];

                if (ConfigurationManager.AppSettings["PRODUCTIVE"] != null && ConfigurationManager.AppSettings["PRODUCTIVE"].ToString().Equals("true"))
                    PRODUCTIVE = true;
                else
                    PRODUCTIVE = false;

                UTC_OFFSET = ConfigurationManager.AppSettings["UTC_OFFSET"].ToString();

                if (string.IsNullOrEmpty(USER) || string.IsNullOrEmpty(PASSWORD) || string.IsNullOrEmpty(UTC_OFFSET))
                {
                    throw new Exception("Please set the properties in the App.config file! (e.g. merchant password and merchant user)");
                }

            }
            catch (Exception ex)
            {
                ErrorHandler.HandleError(ex);
            }
        }

    }
}
