﻿using Refund_CSharp.BusinessLogic;
using Refund_CSharp.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Refund_CSharp
{
    public partial class MainView : Form
    {
        public MainView()
        {
            InitializeComponent();
            ApplicationProperties.InitProperties();
            currencyTextField.Text = "EUR";
            validateOnlyCheckBox.CheckState = CheckState.Checked;
        }

        private void processDataBtn_Click(object sender, EventArgs e)
        {
            try
            {
                resultRichTextBox.Text = "";

                // example data
                //customerMailAdressTextField.Text = "HGbuuRXnAZ@IOcjHLWzGE.uvK";
                //mtidTextField.Text = "test_1415878002_4";
                //merchantClientIdTextField.Text = "rand_mcid141587800264";
                //amountTextField.Text = "2.00";
                // example data

                if (customerMailAdressTextField.Text.Equals("")
                        || mtidTextField.Text.Equals("") || merchantClientIdTextField.Text.Equals("")
                        || amountTextField.Text.Equals(""))
                {
                    throw new Exception("Please fill out all textfields!");
                }

                SOPGRefundMerchantClient refundClient = new SOPGRefundMerchantClient(ApplicationProperties.USER,
                        ApplicationProperties.PASSWORD, ApplicationProperties.PRODUCTIVE);
                refundClient.SetTransaction(amountTextField.Text, currencyTextField.Text,
                        mtidTextField.Text, rtidTextField.Text, ApplicationProperties.UTC_OFFSET);
                refundClient.SetCustomer(merchantClientIdTextField.Text, customerMailAdressTextField.Text,
                        null);

                Dictionary<String, String> result = null;

                result = refundClient.Refund(validateOnlyCheckBox.Checked);


                customerMailAdressTextField.Text = "";
                rtidTextField.Text = "";
                mtidTextField.Text = "";
                merchantClientIdTextField.Text = "";
                amountTextField.Text = "";

                if (result == null)
                {
                    resultRichTextBox.Text = "No results!";
                    return;
                }

                foreach (KeyValuePair<string, string> keyValue in result)
                {
                    resultRichTextBox.AppendText(keyValue.Key + ": " + keyValue.Value + "\n");
                }
            }
            catch (Exception ex)
            {
                ErrorHandler.HandleError(ex);
            }
        }
    }
}
